summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Clemons2022-09-25 13:39:40 +0200
committer Willy Sudiarto Raharjo2022-10-01 04:01:18 +0200
commitc9ffd57afc5f2ee3701252aa7476cefa864a3f14 (patch)
tree657ce296524afa941e493241f577c9590e981348
parent06a8337780dc8b63d29098ce27e6acdb4ee104f6 (diff)
downloadslackbuilds-c9ffd57afc5f2ee3701252aa7476cefa864a3f14.tar.gz
libraries/cereal: Remove template comments (pass sbolint).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/cereal/cereal.SlackBuild9
1 files changed, 1 insertions, 8 deletions
diff --git a/libraries/cereal/cereal.SlackBuild b/libraries/cereal/cereal.SlackBuild
index 6cf56bf543..1d77d623d5 100644
--- a/libraries/cereal/cereal.SlackBuild
+++ b/libraries/cereal/cereal.SlackBuild
@@ -30,19 +30,14 @@ BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
-# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -66,7 +61,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -81,8 +76,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Your application will probably need different cmake flags; these are only
-# examples. You might use 'ccmake' to see the available flags...
mkdir -p build
cd build
cmake \